/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

body,
.elementor-element.e-con-full.e-flex.e-con.e-parent.e-lazyloaded{
	background-color:var(--e-global-color-0ac1293);
}

body.woocommerce-page{
	background-color:white;
}

/*Sticky header animation*/
/* Header transition when scrolling */
#header-on-scroll {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 9999;
    transition: all .5s ease !important;
}


/*Home Gallery Thumbnail height*/
figure.gallery-item {
    height: 270px;
}

/*H2 legal pages*/
.legal a {
    font-weight:600;
	text-decoration: underline;
}

/*Cart page*/

.woocommerce-cart main#content {
    margin-top: 120px;
}

.wp-block-woocommerce-cart.alignwide {
    padding: 0 89px;
}

@media (max-width: 1250px){
	.woocommerce-cart main#content {
		margin-top: 140px;
	}
}

.woocommerce-page h1.entry-title {
    font-family: 'Anek Latin';
    font-weight: 600;
    font-size: 48px;
	color: var(--e-global-color-0ac1293);
}

th.wc-block-cart-items__header-image,
th.wc-block-cart-items__header-total,
h2.wp-block-woocommerce-cart-order-summary-heading-block.wc-block-cart__totals-title{
    font-size: 20px;
    font-family: 'Anek Latin';
    text-transform: none;
    color: var(--e-global-color-0ac1293);
    font-weight: 600 !important;
}

a.wc-block-components-product-name,
span.wc-block-formatted-money-amount.wc-block-components-formatted-money-amount.wc-block-components-product-price__value{
    font-family: 'Montserrat';
    font-size: 20px;
    font-weight: 600;
    color: var(--e-global-color-0ac1293);
    text-decoration: none;
}

a.wc-block-components-button.wp-element-button.wc-block-cart__submit-button.contained,
button.wc-block-components-button.wp-element-button.wc-block-components-checkout-place-order-button.contained{
    background: var(--e-global-color-primary);
    color: black;
    text-decoration: none;
    font-size: 18px;
    text-transform: uppercase;
    font-family: 'Montserrat';
    border: 1px solid black;
	letter-spacing:1px;
	padding: 16px;
	
}

a.wc-block-components-button.wp-element-button.wc-block-cart__submit-button.contained:hover,
button.wc-block-components-button.wp-element-button.wc-block-components-checkout-place-order-button.contained:hover{
    background: var(--e-global-color-0ac1293 );
    color: var(--e-global-color-primary);	
}

span.wc-block-components-order-summary-item__individual-prices.price.wc-block-components-product-price {
    display: none;
}

.woocommerce-order-received main#content {
    margin-top: 124px;
}

form.woocommerce-form.woocommerce-form-login.login{
    display: none;
}

/*Product page*/
.woocommerce.single-product div.product.product-type-simple form.cart {
    display: flex !important;
}

.woocommerce div.product form.cart div.quantity {
    margin: 0 24px 0 0;
}

button.single_add_to_cart_button.button.alt {
	margin-left: 0 !important;
}

.e-woocommerce-notices-wrapper a.button.wc-forward {
    border: 1px solid #00D0FF;
    font-family: 'work sans';
    text-transform: uppercase;
    font-weight: 600;
    color: black;
    background: white;
    border-radius: 0;
}

.woocommerce-message {
    border-top-color: #00D0FF;
    font-family: 'work sans';
}
	
.woocommerce-page .woocommerce-message .button{
    margin: 6px 0 0 12px;
    float: none;
}

.elementor-menu-cart--items-indicator-bubble .elementor-menu-cart__toggle .elementor-button-icon .elementor-button-icon-qty[data-counter] {
    background-color: #acff00;
    color: black;
}

.elementor-menu-cart__footer-buttons .elementor-button--checkout {
    border: 1px solid black;
}

.elementor-menu-cart__footer-buttons .elementor-button--checkout:hover {
    border: 1px solid #00D0FF;
}

.elementor-menu-cart__footer-buttons .elementor-button--view-cart:hover {
    background-color: var(--view-cart-button-text-color, #fff);
    color: var(--view-cart-button-hover-background-color, #69727d);
}

.woocommerce-checkout main#content {
    margin-top: 174px;
}

.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product .stock {
    color: #40a900;
    font-family: 'work sans';
    font-size: 18px !important;
}

.elementor-element.elementor-element-6bd57a28.e-flex.e-con-boxed.e-con.e-parent.e-lazyloaded {
    margin-top: 62px;
}

.elementor-element.elementor-element-bedbb75.e-con-full.blue-bg.e-flex.e-con.e-parent.e-lazyloaded{
	background-color: var( --e-global-color-primary );
}

/*Home*/
@media (min-width: 1921px){
	
	.home_cartel-padel img {
		border: 1px solid black;
	}
	
	.home_cartel-fiesta img {
		border: 1px solid white;
	}
	
	.elementor-element.elementor-element-9054c29.e-con-full.e-flex.e-con.e-child,
	.elementor-element.elementor-element-69b3070.e-con-full.e-flex.e-con.e-child{
		display: flex;
		justify-content: center;
	}
	
	.elementor-element.elementor-element-178a9dd.e-con-full.e-flex.e-con.e-parent.e-lazyloaded {
		margin-top: 60px;
	}
}

.elementor-main-swiper.swiper.swiper-initialized.swiper-horizontal.swiper-pointer-events {
    border: 1px solid white;
}